NPM-EDIT(1)

NAME
npm-edit - Edit an installed package

SYNOPSIS

    npm edit <name>[@<version>]

DESCRIPTION

Opens the package folder in the default editor (or whatever you've configured as the npm editor config -- see npm help 7 npm-config.)

After it has been edited, the package is rebuilt so as to pick up any changes in compiled packages.

For instance, you can do npm install connect to install connect into your package, and then npm edit connect to make a few changes to your locally installed copy.

CONFIGURATION

  editor

    •   Default: EDITOR environment variable if set, or "vi" on Posix, or "notepad" on Windows.

    •   Type: path

The command to run for npm edit or npm config edit.

SEE ALSO

    •   npm help 5 folders

    •   npm help explore

    •   npm help install

    •   npm help config

    •   npm help 7 config

    •   npm help 5 npmrc